eCMRhub.docs
API referenceDocuments

Read document versions

GET
/rest/v1/versions

Immutable versions of a document. Returns an array; an id you cannot see returns an empty array.

Authorization

apikeybearerAuth
headerapikey<token>
headerAuthorizationBearer <JWT>

Query Parameters

select?string
Default"body"
id?string

PostgREST equality filter: eq.

document_id?string

PostgREST equality filter: eq.

Response Body

Success

application/json
  1. response
[index: integer]?
Example Request
curl -X GET 'https://api-ecmr-dev.lucaspiera.com/rest/v1/versions'
Example Response
[  {    "body": {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "documentId": "4704590c-004e-410d-adf7-acb7ca0a7052",      "revision": 1,      "type": {        "name": "string",        "version": "string"      },      "state": "string",      "data": {        "property1": null,        "property2": null      },      "canonicalizationVersion": "string",      "snapshotDigest": "string",      "createdAt": "2019-08-24T14:15:22Z"    }  }]